summaryrefslogtreecommitdiffstats
path: root/conf/waproamd.init.in
diff options
context:
space:
mode:
Diffstat (limited to 'conf/waproamd.init.in')
-rwxr-xr-xconf/waproamd.init.in64
1 files changed, 64 insertions, 0 deletions
diff --git a/conf/waproamd.init.in b/conf/waproamd.init.in
new file mode 100755
index 0000000..891cd24
--- /dev/null
+++ b/conf/waproamd.init.in
@@ -0,0 +1,64 @@
+#!/bin/sh
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+CFG=@sysconfdir@/waproamd/waproamd.conf
+
+WAPROAMD=@sbindir@/waproamd
+test -x $WAPROAMD || exit 0
+
+if [ `id -u` != "0" ] && [ "$1" = "start" -o "$1" = "stop" ] ; then
+ echo "You must be root to start, stop or restart waproamd."
+ exit 1
+fi
+
+[ -f $CFG ] && . $CFG
+
+case "$1" in
+ start)
+ echo -n "Starting Wireless Access Point Roaming Daemon:"
+ for IF in $INTERFACES ; do
+ $WAPROAMD -i $IF $ARGS
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Wireless Access Point Roaming Daemon:"
+ for IF in $INTERFACES ; do
+ $WAPROAMD -k -i $IF
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ status)
+ for IF in $INTERFACES ; do
+ $WAPROAMD -c -i $IF
+ done
+ ;;
+ force-reload|restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload|status}"
+ exit 1
+esac
+
+exit 0